
Finalization Pharmadex for Mozambique, Bangladesh, Namibia, Ethiopia - Feature #2429

BD Allow assign a reviewer to different modules

01/18/2017 06:35 AM - Oleksii Kurasov

Status: Closed Start date: 01/18/2017

Priority: Urgent Due date: 01/20/2017

Assignee: Oleksii Kurasov % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

History

#1 - 01/18/2017 06:39 AM - Oleksii Kurasov

- Status changed from New to In Progress

#2 - 01/18/2017 07:08 AM - Oleksii Kurasov

- Status changed from In Progress to Resolved

#3 - 01/18/2017 10:03 AM - Oleksii Kurasov

- Status changed from Resolved to Closed
